
require 'singleton'
require 'tlogger'

module PkernelJce
  class GConf
    include Singleton
    attr_reader :logger_params, :glog
    def initialize
      @logger_params = STDOUT
      if ENV['PKERNEL_DEBUG'] == "true"
        @glog = Tlogger::Tlogger.new(STDOUT)
      else
        @glog = Tlogger::Tlogger.new('pkernel.log',10,1024*1024*10)
      end
      @glog.tag = :pkernel_jce
      @glog.show_source
    end  
  end
end

